org.eclipse.net4j

## Class ContainerProtocolProvider.Client

- java.lang.Object
- - org.eclipse.net4j.ContainerProtocolProvider
  - - org.eclipse.net4j.ContainerProtocolProvider.Client

- All Implemented Interfaces:
    IProtocolProvider
  Enclosing class:
    ContainerProtocolProvider

      public static class ContainerProtocolProvider.Client
      extends ContainerProtocolProvider

  Container-based `protocol provider` for `client` protocols.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.ContainerProtocolProvider

      `ContainerProtocolProvider.Client, ContainerProtocolProvider.Server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(IManagedContainer container)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.ContainerProtocolProvider

      `getContainer, getProductGroup, getProtocol`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client(IManagedContainer container)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html